﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using EasyConfig.Settings;

namespace C_SharpWeb
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {
                SettingsStore settings = SettingsLib.GetSettings();

                if (settings != null)
                {
                    txtUploadFolder.Text = settings.UploadFolder;
                    txtEmailErrorsTo.Text = settings.EmailErrorsTo;
                    txtEmailServerHostname.Text = settings.EmailServerHostname;
                    litMessage.Text = "Settings loaded!";
                }
                else
                    litMessage.Text = "Failed to load settings!";
            }
        }

        protected void btnSave_Click(object sender, EventArgs e)
        {
            SettingsStore settings = new SettingsStore()
            {
                UploadFolder = txtUploadFolder.Text.Trim(),
                EmailErrorsTo = txtEmailErrorsTo.Text.Trim(),
                EmailServerHostname = txtEmailServerHostname.Text.Trim()
            };

            bool result = SettingsLib.SaveSettings(settings);

            if (result)
                litMessage.Text = "Settings saved!";
            else
                litMessage.Text = "Settings could not be saved!";
        }
    }
}